#!/usr/bin/env bash

DOCKER_OS=centos
AM2CM_DOCKER_IMAGE_VERSION=latest
DOCKER_HOST_PORT=8090

for i in "$@"; do
  case $i in
  -os=* | --docker-os=*)
    DOCKER_OS=${i#*=}
    shift
    ;;
  -iv=* | --image-version=*)
    AM2CM_DOCKER_IMAGE_VERSION=${i#*=}
    shift
    ;;
  -sp=* | --server-port=*)
    DOCKER_HOST_PORT=${i#*=}
    ;;
  -h | --help)
    HELP=true
    shift
    ;;
  *)
    echo "Unknown option: $i"
    HELP=true
    ;;
  esac
done

AM2CM_ROOT_DIR=/$(basename "$PWD")
AM2CM_DOCKER_IMAGE=am2cm-${DOCKER_OS}:${AM2CM_DOCKER_IMAGE_VERSION}
docker run -d -p "${DOCKER_HOST_PORT}":8090 -v $(pwd):"${AM2CM_ROOT_DIR}" "${AM2CM_DOCKER_IMAGE}"
echo "The am2cm-server will be available at http://localhost:${DOCKER_HOST_PORT} in about 30 seconds "